#ifndef STREAMINGDIALOG_H
#define STREAMINGDIALOG_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StreamingDialog.h
//

/////////////////////////////////////////////////////////////////////////////
// CStreamingDialog

class CStreamingDialog : public CPropertyPage
{
	DECLARE_DYNCREATE(CStreamingDialog)

public:
	CStreamingDialog();
	~CStreamingDialog();

	void SetParam();
	CIn_mpg123dParam* pr;

	//{{AFX_DATA(CStreamingDialog)
	enum { IDD = IDD_STREAMING_DIALOG };
	BOOL	m_bEnableStreaming;
	CComboBox	m_comboReceivePriority;
	CString	m_strBufferLength;
	CEdit	m_editTitleStreamingFormat;
	CButton	m_buttonTitleStreamingUDP;
	CButton	m_buttonTitleStreamingDecode;
	CButton	m_buttonFileDialog;
	CEdit	m_editProxy;
	CEdit	m_editBufferLength;
	CEdit	m_editSaveStream;
	CString	m_strProxy;
	CString	m_strSaveStream;
	CString	m_strTitleStreamingFormat;
	BOOL	m_bProxy;
	BOOL	m_bSaveStream;
	BOOL	m_bTitleStreaming;
	BOOL	m_bTitleStreamingDecode;
	BOOL	m_bTitleStreamingUDP;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CStreamingDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV T|[g
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CStreamingDialog)
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnEnableStreaming();
	afx_msg void OnSelchangeComboPriority();
	afx_msg void OnChangeEdStrbuf();
	afx_msg void OnKillfocusEdStrbuf();
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonFiledialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

BOOL CALLBACK in_streaming_dialog_proc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
#endif
